#---------------------------------------------------------------------------------------------------
# - #%L                                                                                            -
# - chvote-vrum                                                                                    -
# - %%                                                                                             -
# - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
# - %%                                                                                             -
# - This program is free software: you can redistribute it and/or modify                           -
# - it under the terms of the GNU Affero General Public License as published by                    -
# - the Free Software Foundation, either version 3 of the License, or                              -
# - (at your option) any later version.                                                            -
# -                                                                                                -
# - This program is distributed in the hope that it will be useful,                                -
# - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
# - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
# - GNU General Public License for more details.                                                   -
# -                                                                                                -
# - You should have received a copy of the GNU Affero General Public License                       -
# - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
# - #L%                                                                                            -
#---------------------------------------------------------------------------------------------------

version: '3'
services:
  message-broker:
    image: rabbitmq:3.7.7
    environment:
      RABBITMQ_DEFAULT_USER: 'rabbitmq'
      RABBITMQ_DEFAULT_PASS: 'p4ssW0rd'
    expose:
      - '5672'

  chvote-vrum-backend:
    image: REGISTRY_APP/chvote-vrum-backend:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=int
    links:
      - message-broker
    expose:
      - 8381 # api services
      - 8382 # b2b services
      - 8889 # management services
      - 48645 # database connection

  chvote-vrum-mock-server:
    image: REGISTRY_APP/chvote-vrum-mock-server:$IMAGE_TAG
    environment:
      - SPRING_PROFILES_ACTIVE=docker
    volumes:
      - /tmp:/data
    links:
      - chvote-vrum-backend
    expose:
      - 48646 # mock server api

  chvote-vrum-frontend:
    image: REGISTRY_APP/chvote-vrum-frontend:$IMAGE_TAG
    expose:
      - 8080

  chvote-vrum-reverse-proxy:
    image: REGISTRY_APP/chvote-vrum-reverse-proxy:$IMAGE_TAG
    container_name: chvote-vrum-reverse-proxy
    links:
      - chvote-vrum-frontend
      - chvote-vrum-backend
    entrypoint:
      - nginx
      - -c
      - /etc/nginx/nginx.conf
      - -g
      - daemon off;
    ports:
      - "80:80"
    volumes:
      - /var/run/docker.sock:/tmp/docker.sock:ro
